# [name]

An exporter for *Collada*.
Collada is a file format for robust representation of scenes, materials, animations, and other 3D content in an xml format. This exporter only supports exporting geometry, materials, textures, and scene hierarchy.

## 代码示例

`// Instantiate an exporter const exporter = new ColladaExporter(); // Parse the input and generate the ply output const data = exporter.parse( scene, null, options ); downloadFile( data );`

## Constructor

### [name]()

Creates a new [name].

## Methods

### [method:Object parse]( [param:Object3D input], [param:Function onCompleted], [param:Object options] )

[page:Object input] — Object3D to be exported
[page:Function onCompleted] — Will be called when the export completes. Optional. The same data is immediately returned from the function.
[page:Options options] — Export options

- version - string. Which version of Collada to export. The options are "1.4.1" or "1.5.0". Defaults to "1.4.1".
- author - string. The name to include in the author field. Author field is excluded by default.
- textureDirectory - string. The directory relative to the Collada file to save the textures to.

Generates an object with Collada file and texture data. This object is returned from the function and passed into the "onCompleted" callback. `{ // Collada file content data: "", // List of referenced textures textures: [{ // File directory, name, and extension of the texture data directory: "", name: "", ext: "", // The texture data and original texture object data: [], original: <THREE.Texture> }, ...] }`

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/exporters/ColladaExporter.js examples/jsm/exporters/ColladaExporter.js]